diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/ms-functions.php ./wordpress-3.3/wp-includes/ms-functions.php
*** ./wordpress-3.2.1/wp-includes/ms-functions.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/ms-functions.php	2011-11-30 18:36:19.000000000 -0600
***************
*** 1,6 ****
  <?php
  /**
!  * Multi-site WordPress API
   *
   * @package WordPress
   * @subpackage Multisite
--- 1,6 ----
  <?php
  /**
!  * Multisite WordPress API
   *
   * @package WordPress
   * @subpackage Multisite
***************
*** 19,26 ****
  function get_sitestats() {
  	global $wpdb;
  
! 	$stats['blogs'] = get_blog_count();
! 	$stats['users'] = get_user_count();
  
  	return $stats;
  }
--- 19,28 ----
  function get_sitestats() {
  	global $wpdb;
  
! 	$stats = array(
! 		'blogs' => get_blog_count(),
! 		'users' => get_user_count(),
! 	);
  
  	return $stats;
  }
***************
*** 79,85 ****
  	if ( false !== $primary_blog ) {
  		if ( ! isset( $blogs[ $primary_blog ] ) ) {
  			update_user_meta( $user_id, 'primary_blog', $first_blog->userblog_id );
! 			$primary = $first_blog;
  		} else {
  			$primary = get_blog_details( $primary_blog );
  		}
--- 81,87 ----
  	if ( false !== $primary_blog ) {
  		if ( ! isset( $blogs[ $primary_blog ] ) ) {
  			update_user_meta( $user_id, 'primary_blog', $first_blog->userblog_id );
! 			$primary = get_blog_details( $first_blog->userblog_id );
  		} else {
  			$primary = get_blog_details( $primary_blog );
  		}
***************
*** 90,96 ****
  		$primary = $first_blog;
  	}
  
! 	if ( ( ! is_object( $primary ) ) || ( is_object( $primary ) && $primary->archived == 1 || $primary->spam == 1 || $primary->deleted == 1 ) ) {
  		$blogs = get_blogs_of_user( $user_id, true ); // if a user's primary blog is shut down, check their other blogs.
  		$ret = false;
  		if ( is_array( $blogs ) && count( $blogs ) > 0 ) {
--- 92,98 ----
  		$primary = $first_blog;
  	}
  
! 	if ( ( ! is_object( $primary ) ) || ( $primary->archived == 1 || $primary->spam == 1 || $primary->deleted == 1 ) ) {
  		$blogs = get_blogs_of_user( $user_id, true ); // if a user's primary blog is shut down, check their other blogs.
  		$ret = false;
  		if ( is_array( $blogs ) && count( $blogs ) > 0 ) {
***************
*** 117,148 ****
  }
  
  /**
-  * Find out whether a user is a member of a given blog.
-  *
-  * @since MU 1.1
-  * @uses get_blogs_of_user()
-  *
-  * @param int $user_id The unique ID of the user
-  * @param int $blog Optional. If no blog_id is provided, current site is used
-  * @return bool
-  */
- function is_user_member_of_blog( $user_id, $blog_id = 0 ) {
- 	$user_id = (int) $user_id;
- 	$blog_id = (int) $blog_id;
- 
- 	if ( $blog_id == 0 ) {
- 		global $wpdb;
- 		$blog_id = $wpdb->blogid;
- 	}
- 
- 	$blogs = get_blogs_of_user( $user_id );
- 	if ( is_array( $blogs ) )
- 		return array_key_exists( $blog_id, $blogs );
- 	else
- 		return false;
- }
- 
- /**
   * The number of active users in your installation.
   *
   * The count is cached and updated twice daily. This is not a live count.
--- 119,124 ----
***************
*** 291,296 ****
--- 267,274 ----
  	}
  
  	restore_current_blog();
+ 
+ 	return true;
  }
  
  /**
***************
*** 314,327 ****
  
  	// Check if the domain has been used already. We should return an error message.
  	if ( domain_exists($domain, $path, $site_id) )
! 		return __( 'Error: Site URL already taken.' );
  
  	// Need to back up wpdb table names, and create a new wp_blogs entry for new blog.
  	// Need to get blog_id from wp_blogs, and create new table names.
  	// Must restore table names at the end of function.
  
  	if ( ! $blog_id = insert_blog($domain, $path, $site_id) )
! 		return __( 'Error: problem creating site entry.' );
  
  	switch_to_blog($blog_id);
  	install_blog($blog_id);
--- 292,305 ----
  
  	// Check if the domain has been used already. We should return an error message.
  	if ( domain_exists($domain, $path, $site_id) )
! 		return __( '<strong>ERROR</strong>: Site URL already taken.' );
  
  	// Need to back up wpdb table names, and create a new wp_blogs entry for new blog.
  	// Need to get blog_id from wp_blogs, and create new table names.
  	// Must restore table names at the end of function.
  
  	if ( ! $blog_id = insert_blog($domain, $path, $site_id) )
! 		return __( '<strong>ERROR</strong>: problem creating site entry.' );
  
  	switch_to_blog($blog_id);
  	install_blog($blog_id);
***************
*** 392,459 ****
  // Admin functions
  
  /**
-  * Redirect a user based on $_GET or $_POST arguments.
-  *
-  * The function looks for redirect arguments in the following order:
-  * 1) $_GET['ref']
-  * 2) $_POST['ref']
-  * 3) $_SERVER['HTTP_REFERER']
-  * 4) $_GET['redirect']
-  * 5) $_POST['redirect']
-  * 6) $url
-  *
-  * @since MU
-  * @uses wpmu_admin_redirect_add_updated_param()
-  *
-  * @param string $url
-  */
- function wpmu_admin_do_redirect( $url = '' ) {
- 	$ref = '';
- 	if ( isset( $_GET['ref'] ) )
- 		$ref = $_GET['ref'];
- 	if ( isset( $_POST['ref'] ) )
- 		$ref = $_POST['ref'];
- 
- 	if ( $ref ) {
- 		$ref = wpmu_admin_redirect_add_updated_param( $ref );
- 		wp_redirect( $ref );
- 		exit();
- 	}
- 	if ( empty( $_SERVER['HTTP_REFERER'] ) == false ) {
- 		wp_redirect( $_SERVER['HTTP_REFERER'] );
- 		exit();
- 	}
- 
- 	$url = wpmu_admin_redirect_add_updated_param( $url );
- 	if ( isset( $_GET['redirect'] ) ) {
- 		if ( substr( $_GET['redirect'], 0, 2 ) == 's_' )
- 			$url .= '&action=blogs&s='. esc_html( substr( $_GET['redirect'], 2 ) );
- 	} elseif ( isset( $_POST['redirect'] ) ) {
- 		$url = wpmu_admin_redirect_add_updated_param( $_POST['redirect'] );
- 	}
- 	wp_redirect( $url );
- 	exit();
- }
- 
- /**
-  * Adds an 'updated=true' argument to a URL.
-  *
-  * @since MU
-  *
-  * @param string $url
-  * @return string
-  */
- function wpmu_admin_redirect_add_updated_param( $url = '' ) {
- 	if ( strpos( $url, 'updated=true' ) === false ) {
- 		if ( strpos( $url, '?' ) === false )
- 			return $url . '?updated=true';
- 		else
- 			return $url . '&updated=true';
- 	}
- 	return $url;
- }
- 
- /**
   * Checks an email address against a list of banned domains.
   *
   * This function checks against the Banned Email Domains list
--- 370,375 ----
***************
*** 648,656 ****
  	if ( empty( $blogname ) )
  		$errors->add('blogname', __('Please enter a site name'));
  
! 	$maybe = array();
! 	preg_match( '/[a-z0-9]+/', $blogname, $maybe );
! 	if ( $blogname != $maybe[0] )
  		$errors->add('blogname', __('Only lowercase letters and numbers allowed'));
  
  	if ( in_array( $blogname, $illegal_names ) == true )
--- 563,569 ----
  	if ( empty( $blogname ) )
  		$errors->add('blogname', __('Please enter a site name'));
  
! 	if ( preg_match( '/[^a-z0-9]+/', $blogname ) )
  		$errors->add('blogname', __('Only lowercase letters and numbers allowed'));
  
  	if ( in_array( $blogname, $illegal_names ) == true )
***************
*** 792,798 ****
   * replace it with your own notification behavior.
   *
   * Filter 'wpmu_signup_blog_notification_email' and
!  * 'wpmu_signup_blog_notification_email' to change the content
   * and subject line of the email sent to newly registered users.
   *
   * @since MU
--- 705,711 ----
   * replace it with your own notification behavior.
   *
   * Filter 'wpmu_signup_blog_notification_email' and
!  * 'wpmu_signup_blog_notification_subject' to change the content
   * and subject line of the email sent to newly registered users.
   *
   * @since MU
***************
*** 1078,1084 ****
  	add_option( 'WPLANG', get_site_option( 'WPLANG' ) );
  	update_option( 'blog_public', (int)$meta['public'] );
  
! 	if ( !is_super_admin() && ! get_user_meta( $user_id, 'primary_blog', true ) )
  		update_user_meta( $user_id, 'primary_blog', $blog_id );
  
  	restore_current_blog();
--- 991,997 ----
  	add_option( 'WPLANG', get_site_option( 'WPLANG' ) );
  	update_option( 'blog_public', (int)$meta['public'] );
  
! 	if ( ! is_super_admin( $user_id ) && ! get_user_meta( $user_id, 'primary_blog', true ) )
  		update_user_meta( $user_id, 'primary_blog', $blog_id );
  
  	restore_current_blog();
***************
*** 1233,1239 ****
  	$url = get_blogaddress_by_id($blog_id);
  
  	// Set everything up
! 	make_db_current_silent();
  	populate_options();
  	populate_roles();
  	$wp_roles->_init();
--- 1146,1152 ----
  	$url = get_blogaddress_by_id($blog_id);
  
  	// Set everything up
! 	make_db_current_silent( 'blog' );
  	populate_options();
  	populate_roles();
  	$wp_roles->_init();
***************
*** 1520,1527 ****
  function recurse_dirsize( $directory ) {
  	$size = 0;
  
! 	if ( substr( $directory, -1 ) == '/' )
! 		$directory = substr($directory,0,-1);
  
  	if ( !file_exists($directory) || !is_dir( $directory ) || !is_readable( $directory ) )
  		return false;
--- 1433,1439 ----
  function recurse_dirsize( $directory ) {
  	$size = 0;
  
! 	$directory = untrailingslashit( $directory );
  
  	if ( !file_exists($directory) || !is_dir( $directory ) || !is_readable( $directory ) )
  		return false;
***************
*** 1564,1571 ****
  	if ( empty( $spaceAllowed ) || !is_numeric( $spaceAllowed ) )
  		$spaceAllowed = 10;	// Default space allowed is 10 MB
  
! 	$dirName = BLOGUPLOADDIR;
! 	$size = get_dirsize($dirName) / 1024 / 1024;
  
  	if ( ($spaceAllowed-$size) < 0 ) {
  		if ( $echo )
--- 1476,1482 ----
  	if ( empty( $spaceAllowed ) || !is_numeric( $spaceAllowed ) )
  		$spaceAllowed = 10;	// Default space allowed is 10 MB
  
! 	$size = get_dirsize( BLOGUPLOADDIR ) / 1024 / 1024;
  
  	if ( ($spaceAllowed-$size) < 0 ) {
  		if ( $echo )
***************
*** 1646,1653 ****
  		return 0;
  
  	$spaceAllowed = 1024 * 1024 * get_space_allowed();
! 	$dirName = BLOGUPLOADDIR;
! 	$dirsize = get_dirsize($dirName) ;
  	if ( $size > $spaceAllowed - $dirsize )
  		return $spaceAllowed - $dirsize; // remaining space
  	else
--- 1557,1563 ----
  		return 0;
  
  	$spaceAllowed = 1024 * 1024 * get_space_allowed();
! 	$dirsize = get_dirsize( BLOGUPLOADDIR );
  	if ( $size > $spaceAllowed - $dirsize )
  		return $spaceAllowed - $dirsize; // remaining space
  	else
***************
*** 1826,1832 ****
  	if ( empty( $details ) || is_wp_error( add_existing_user_to_blog( $details ) ) )
  		wp_die( sprintf(__('An error occurred adding you to this site. Back to the <a href="%s">homepage</a>.'), site_url() ) );
  
! 	wp_die( sprintf(__('You have been added to this site. Please visit the <a href="%s">homepage</a> or <a href="%s">login</a> using your username and password.'), site_url(), admin_url() ), __('Success') );
  }
  
  /**
--- 1736,1742 ----
  	if ( empty( $details ) || is_wp_error( add_existing_user_to_blog( $details ) ) )
  		wp_die( sprintf(__('An error occurred adding you to this site. Back to the <a href="%s">homepage</a>.'), site_url() ) );
  
! 	wp_die( sprintf(__('You have been added to this site. Please visit the <a href="%s">homepage</a> or <a href="%s">log in</a> using your username and password.'), site_url(), admin_url() ), __('Success') );
  }
  
  /**
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/ms-load.php ./wordpress-3.3/wp-includes/ms-load.php
*** ./wordpress-3.2.1/wp-includes/ms-load.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/ms-load.php	2011-11-22 04:22:45.000000000 -0600
***************
*** 119,126 ****
  		$current_site->site_name = $wpdb->get_var( $wpdb->prepare( "SELECT meta_value FROM $wpdb->sitemeta WHERE site_id = %d AND meta_key = 'site_name'", $current_site->id ) );
  		if ( ! $current_site->site_name )
  			$current_site->site_name = ucfirst( $current_site->domain );
  	}
- 	wp_cache_set( $current_site->id . ':site_name', $current_site->site_name, 'site-options' );
  
  	return $current_site;
  }
--- 119,126 ----
  		$current_site->site_name = $wpdb->get_var( $wpdb->prepare( "SELECT meta_value FROM $wpdb->sitemeta WHERE site_id = %d AND meta_key = 'site_name'", $current_site->id ) );
  		if ( ! $current_site->site_name )
  			$current_site->site_name = ucfirst( $current_site->domain );
+ 		wp_cache_set( $current_site->id . ':site_name', $current_site->site_name, 'site-options' );
  	}
  
  	return $current_site;
  }
***************
*** 134,139 ****
--- 134,143 ----
   */
  function wpmu_current_site() {
  	global $wpdb, $current_site, $domain, $path, $sites, $cookie_domain;
+ 
+ 	if ( empty( $current_site ) )
+ 		$current_site = new stdClass;
+ 
  	if ( defined( 'DOMAIN_CURRENT_SITE' ) && defined( 'PATH_CURRENT_SITE' ) ) {
  		$current_site->id = defined( 'SITE_ID_CURRENT_SITE' ) ? SITE_ID_CURRENT_SITE : 1;
  		$current_site->domain = DOMAIN_CURRENT_SITE;
***************
*** 234,240 ****
  		$msg .= '<p>' . sprintf( /*WP_I18N_TABLES_MISSING_LONG*/'<strong>Database tables are missing.</strong> This means that MySQL is not running, WordPress was not installed properly, or someone deleted <code>%s</code>. You really should look at your database now.'/*/WP_I18N_TABLES_MISSING_LONG*/, $wpdb->site ) . '</p>';
  	else
  		$msg .= '<p>' . sprintf( /*WP_I18N_NO_SITE_FOUND*/'<strong>Could not find site <code>%1$s</code>.</strong> Searched for table <code>%2$s</code> in database <code>%3$s</code>. Is that right?'/*/WP_I18N_NO_SITE_FOUND*/, rtrim( $domain . $path, '/' ), $wpdb->blogs, DB_NAME ) . '</p>';
! 	$msg .= '<p><strong>' . /*WP_I18N_WHAT_DO_I_DO*/'What do I do now?'/*WP_I18N_WHAT_DO_I_DO*/ . '</strong> ';
  	$msg .= /*WP_I18N_RTFM*/'Read the <a target="_blank" href="http://codex.wordpress.org/Debugging_a_WordPress_Network">bug report</a> page. Some of the guidelines there may help you figure out what went wrong.'/*/WP_I18N_RTFM*/;
  	$msg .= ' ' . /*WP_I18N_STUCK*/'If you&#8217;re still stuck with this message, then check that your database contains the following tables:'/*/WP_I18N_STUCK*/ . '</p><ul>';
  	foreach ( $wpdb->tables('global') as $t => $table ) {
--- 238,244 ----
  		$msg .= '<p>' . sprintf( /*WP_I18N_TABLES_MISSING_LONG*/'<strong>Database tables are missing.</strong> This means that MySQL is not running, WordPress was not installed properly, or someone deleted <code>%s</code>. You really should look at your database now.'/*/WP_I18N_TABLES_MISSING_LONG*/, $wpdb->site ) . '</p>';
  	else
  		$msg .= '<p>' . sprintf( /*WP_I18N_NO_SITE_FOUND*/'<strong>Could not find site <code>%1$s</code>.</strong> Searched for table <code>%2$s</code> in database <code>%3$s</code>. Is that right?'/*/WP_I18N_NO_SITE_FOUND*/, rtrim( $domain . $path, '/' ), $wpdb->blogs, DB_NAME ) . '</p>';
! 	$msg .= '<p><strong>' . /*WP_I18N_WHAT_DO_I_DO*/'What do I do now?'/*/WP_I18N_WHAT_DO_I_DO*/ . '</strong> ';
  	$msg .= /*WP_I18N_RTFM*/'Read the <a target="_blank" href="http://codex.wordpress.org/Debugging_a_WordPress_Network">bug report</a> page. Some of the guidelines there may help you figure out what went wrong.'/*/WP_I18N_RTFM*/;
  	$msg .= ' ' . /*WP_I18N_STUCK*/'If you&#8217;re still stuck with this message, then check that your database contains the following tables:'/*/WP_I18N_STUCK*/ . '</p><ul>';
  	foreach ( $wpdb->tables('global') as $t => $table ) {
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/ms-settings.php ./wordpress-3.3/wp-includes/ms-settings.php
*** ./wordpress-3.2.1/wp-includes/ms-settings.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/ms-settings.php	2011-08-18 17:27:30.000000000 -0500
***************
*** 10,19 ****
   * @since 3.0.0
   */
  
- // $base sanity check.
- if ( 'BASE' == $base )
- 	die( /*WP_I18N_BASE_ERROR*/'Configuration error in <code>wp-config.php</code>. <code>$base</code> is set to <code>BASE</code> when it should be like <code>/</code> or <code>/blogs/</code>.'/*/WP_I18N_BASE_ERROR*/ );
- 
  /** Include Multisite initialization functions */
  require( ABSPATH . WPINC . '/ms-load.php' );
  require( ABSPATH . WPINC . '/ms-default-constants.php' );
--- 10,15 ----
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/nav-menu.php ./wordpress-3.3/wp-includes/nav-menu.php
*** ./wordpress-3.2.1/wp-includes/nav-menu.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/nav-menu.php	2011-09-20 17:57:47.000000000 -0500
***************
*** 618,624 ****
  			$menu_item->target = empty( $menu_item->target ) ? get_post_meta( $menu_item->ID, '_menu_item_target', true ) : $menu_item->target;
  
  			$menu_item->attr_title = empty( $menu_item->attr_title ) ? apply_filters( 'nav_menu_attr_title', $menu_item->post_excerpt ) : $menu_item->attr_title;
! 			$menu_item->description = empty( $menu_item->description ) ? apply_filters( 'nav_menu_description', $menu_item->post_content ) : $menu_item->description;
  
  			$menu_item->classes = empty( $menu_item->classes ) ? (array) get_post_meta( $menu_item->ID, '_menu_item_classes', true ) : $menu_item->classes;
  			$menu_item->xfn = empty( $menu_item->xfn ) ? get_post_meta( $menu_item->ID, '_menu_item_xfn', true ) : $menu_item->xfn;
--- 618,626 ----
  			$menu_item->target = empty( $menu_item->target ) ? get_post_meta( $menu_item->ID, '_menu_item_target', true ) : $menu_item->target;
  
  			$menu_item->attr_title = empty( $menu_item->attr_title ) ? apply_filters( 'nav_menu_attr_title', $menu_item->post_excerpt ) : $menu_item->attr_title;
! 
! 			if ( empty( $menu_item->description ) )
! 				$menu_item->description = apply_filters( 'nav_menu_description',  wp_trim_words( $menu_item->post_content, 200 ) );
  
  			$menu_item->classes = empty( $menu_item->classes ) ? (array) get_post_meta( $menu_item->ID, '_menu_item_classes', true ) : $menu_item->classes;
  			$menu_item->xfn = empty( $menu_item->xfn ) ? get_post_meta( $menu_item->ID, '_menu_item_xfn', true ) : $menu_item->xfn;
***************
*** 636,643 ****
  			$menu_item->url = get_permalink( $menu_item->ID );
  			$menu_item->target = '';
  
! 			$menu_item->attr_title = apply_filters( 'nav_menu_attr_title', $menu_item->post_excerpt );
! 			$menu_item->description = apply_filters( 'nav_menu_description', $menu_item->post_content );
  			$menu_item->classes = array();
  			$menu_item->xfn = '';
  		}
--- 638,645 ----
  			$menu_item->url = get_permalink( $menu_item->ID );
  			$menu_item->target = '';
  
! 			$menu_item->attr_title = apply_filters( 'nav_menu_attr_title', '' );
! 			$menu_item->description = apply_filters( 'nav_menu_description', '' );
  			$menu_item->classes = array();
  			$menu_item->xfn = '';
  		}
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/nav-menu-template.php ./wordpress-3.3/wp-includes/nav-menu-template.php
*** ./wordpress-3.2.1/wp-includes/nav-menu-template.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/nav-menu-template.php	2011-09-21 21:25:57.000000000 -0500
***************
*** 360,370 ****
  
  		// if the menu item corresponds to the currently-requested URL
  		} elseif ( 'custom' == $menu_item->object ) {
! 			$current_url = untrailingslashit( ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] );
  			$item_url = untrailingslashit( strpos( $menu_item->url, '#' ) ? substr( $menu_item->url, 0, strpos( $menu_item->url, '#' ) ) : $menu_item->url );
  			$_indexless_current = untrailingslashit( preg_replace( '/index.php$/', '', $current_url ) );
  
! 			if ( in_array( $item_url, array( $current_url, $_indexless_current ) ) ) {
  				$classes[] = 'current-menu-item';
  				$menu_items[$key]->current = true;
  				$_anc_id = (int) $menu_item->db_id;
--- 360,371 ----
  
  		// if the menu item corresponds to the currently-requested URL
  		} elseif ( 'custom' == $menu_item->object ) {
! 			$_root_relative_current = untrailingslashit( $_SERVER['REQUEST_URI'] );
! 			$current_url = ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . $_root_relative_current;
  			$item_url = untrailingslashit( strpos( $menu_item->url, '#' ) ? substr( $menu_item->url, 0, strpos( $menu_item->url, '#' ) ) : $menu_item->url );
  			$_indexless_current = untrailingslashit( preg_replace( '/index.php$/', '', $current_url ) );
  
! 			if ( in_array( $item_url, array( $current_url, $_indexless_current, $_root_relative_current ) ) ) {
  				$classes[] = 'current-menu-item';
  				$menu_items[$key]->current = true;
  				$_anc_id = (int) $menu_item->db_id;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/pluggable-deprecated.php ./wordpress-3.3/wp-includes/pluggable-deprecated.php
*** ./wordpress-3.2.1/wp-includes/pluggable-deprecated.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/pluggable-deprecated.php	2011-08-05 13:44:43.000000000 -0500
***************
*** 36,41 ****
--- 36,75 ----
  }
  endif;
  
+ if ( !function_exists('get_userdatabylogin') ) :
+ /**
+  * Retrieve user info by login name.
+  *
+  * @since 0.71
+  * @deprecated 3.3.0
+  * @deprecated Use get_user_by('login')
+  *
+  * @param string $user_login User's username
+  * @return bool|object False on failure, User DB row object
+  */
+ function get_userdatabylogin($user_login) {
+ 	_deprecated_function( __FUNCTION__, '3.3', "get_user_by('login')" );
+ 	return get_user_by('login', $user_login);
+ }
+ endif;
+ 
+ if ( !function_exists('get_user_by_email') ) :
+ /**
+  * Retrieve user info by email.
+  *
+  * @since 2.5
+  * @deprecated 3.3.0
+  * @deprecated Use get_user_by('email')
+  *
+  * @param string $email User's email address
+  * @return bool|object False on failure, User DB row object
+  */
+ function get_user_by_email($email) {
+ 	_deprecated_function( __FUNCTION__, '3.3', "get_user_by('email')" );
+ 	return get_user_by('email', $email);
+ }
+ endif;
+ 
  if ( !function_exists('wp_setcookie') ) :
  /**
   * Sets a cookie for a user who just logged in. This function is deprecated.
***************
*** 54,60 ****
   */
  function wp_setcookie($username, $password = '', $already_md5 = false, $home = '', $siteurl = '', $remember = false) {
  	_deprecated_function( __FUNCTION__, '2.5', 'wp_set_auth_cookie()' );
! 	$user = get_userdatabylogin($username);
  	wp_set_auth_cookie($user->ID, $remember);
  }
  else :
--- 88,94 ----
   */
  function wp_setcookie($username, $password = '', $already_md5 = false, $home = '', $siteurl = '', $remember = false) {
  	_deprecated_function( __FUNCTION__, '2.5', 'wp_set_auth_cookie()' );
! 	$user = get_user_by('login', $username);
  	wp_set_auth_cookie($user->ID, $remember);
  }
  else :
***************
*** 133,136 ****
  }
  else :
  	_deprecated_function( 'wp_login', '2.5', 'wp_signon()' );
! endif;
\ No newline at end of file
--- 167,170 ----
  }
  else :
  	_deprecated_function( 'wp_login', '2.5', 'wp_signon()' );
! endif;
